---
title: "POST /blueprinttemplates - Blueprint Templates · RUAL Documentation"
description: "Create a new blueprint template"
canonical: https://docs.rual.nl/cluster/api/blueprint-templates/blueprinttemplates-post
language: en
---

# POST /blueprinttemplates

Create a new blueprint template

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **content** optional | `string` | `"Use Ctrl+S to save your work quickly"` | Template content |
| **description** optional | `string` | `"Used by the nightly order sync."` | Template description |
| **name** optional | `string` | `"production"` | Template name |

```
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "content": "Use Ctrl+S to save your work quickly",
  "css": ".title { font-weight: 600; }",
  "description": "Used by the nightly order sync.",
  "js": "console.log('hello');",
  "last_modified_by": {
    "_meta": {
      "created": 1782166695,
      "entity": 1,
      "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "modified": 1782166695,
      "updated": 1782166695
    },
    "firstname": "Joe",
    "lastname": "Doe",
    "username": "joe"
  },
  "modified_reactroot_by": {
    "_meta": {
      "created": 1782166695,
      "entity": 1,
      "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "modified": 1782166695,
      "updated": 1782166695
    },
    "date": 1782166695,
    "firstname": "Joe",
    "lastname": "Doe",
    "username": "joe"
  },
  "name": "production",
  "reactroot": "App",
  "reactroot_file": "index.jsx"
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprinttemplates_create` | Required scope: blueprinttemplates_create |
